Subject: [nemo] RE: [rohc] IP Address Compression for Context Replication

From: [email-masked]
Date: Fri, 12 Dec 2003 13:22:03 -0500

Lars-Erik,

One scenario is the mobile router case. I think Yousuf already mentioned
this a few times. But for some reason, it seems it has been ignored.

The scenario is quite simple: a subnet behind a router which connects 
to the Internet via a bandwidth-limited link. For example, a PAN (personal
area network) or a subnet on a train, plane, etc. ROHC can reside in
the router to compress headers that are sent over the link.

There is already a related WG called nemo:
http://www.ietf.org/html.charters/nemo-charter.html. You can find more 
details there. But above few words should already give you a good picture.

Even for case of last-link header compression, IP address compression
is also useful if the endpoint can refer to a context that contains
at least IP address prefix. It is true that the ROHC channels are 
different between different endpoints and the HC entity on the 
network side. So this is a small technical issue on how to refer to
a context from another channel. But, one simple solution could be to 
use a common context that is independent of channels.

BR,
Zhigang

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Lars-Erik Jonsson (LU/EAB)
> Sent: December 12, 2003 03:05 AM
> To: Saifullah Yousuf (NRC/Dallas)
> Cc: [email-masked]
> Subject: RE: [rohc] IP Address Compression for Context Replication
> 
> 
> Yousuf,
> 
> Please explain in more detail the scenarios you are addressing,
> so that we can better understand the reason you think this is
> important. At the moment, people do not seem to think this is
> really needed, but we should make sure we do not decide before
> we have all understood the arguments (first then can we have an
> opinion on how to proceed).
> 
> Thanks!
> /L-E
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: den 12 december 2003 01:40
> > To: Lars-Erik Jonsson (LU/EAB); [email-masked];
> > [email-masked]
> > Cc: [email-masked]; [email-masked]
> > Subject: RE: [rohc] IP Address Compression for Context Replication
> > 
> > 
> > Hi Lars-Erik,
> > My point is that multiple host scenario is not uncommon to 
> > ignore. We should not limit the HC in the way you mentioned 
> > below. Moreover, the decision should be made based on cost 
> > vs. gain analysis. Again over here also we should not limit 
> > to HTTP 1.0 and IPv4.
> > 
> > Regards,
> > Yousuf
> > 
> > > -----Original Message-----
> > > From: ext Lars-Erik Jonsson (LU/EAB)
> > > [mailto:[email-masked]]
> > > Sent: Thursday, December 11, 2003 3:21 AM
> > > To: Saifullah Yousuf (NRC/Dallas); 
> > [email-masked]; Liu
> > > Zhigang.C (NRC/Dallas)
> > > Cc: [email-masked]; [email-masked]
> > > Subject: RE: [rohc] IP Address Compression for Context Replication
> > > 
> > > 
> > > Yousuf,
> > > 
> > > > I have given this number before. I am repeating it here again.
> > > > If we have m multiple hosts in the system with compressible IP
> > > > addresses, then the saving is m*(gain per flow). The saving
> > > > will be 55*m bits for HTTP 1.1./IPv6. 
> > > 
> > > Consider the most common scenario for HC, i.e. compression over
> > > the last link to a single end host. There you usually only have
> > > ONE single host on the link, which means one address is always
> > > the same (replicable), while other addresses are totally random
> > > (only replicable when we have multiple connections to the same
> > > peer host).
> > > 
> > > /L-E
> > > 
> > 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
>

---

From: [email-masked]
Date: Fri, 12 Dec 2003 13:22:03 -0500

Lars-Erik,

BR,
Zhigang